<template>
    <div class="dashboard flex bg-ap">
        <v-sidebar :items="items" :isOpen="open" />
        <div class="flex flex-col w-full"
            :class="{ 'max-table-1': (open), 'max-table-2': !(open) }">
            <v-header @clicked="toggleClick()" />
            <div class="dashboard flex flex-col max-vh font-mn">
                <div class="
            overflow-y-auto
            px-[23px]
            pt-[3px]
            no-scrollbar
            w-full
            space-y-[23px]
          ">
                    <slot></slot>
                    <div></div>
                </div>
            </div>
        </div>
        <VFooter :items="items" :isOpen="open"/>
    </div>
</template>

<script>
import VSidebar from "@/components/VSidebar";
import VHeader from "@/components/VHeader";
import VFooter from "@/components/VFooter";
import { mapState } from "vuex";

export default {
    name: "v-layout-default",
    components: {
        VSidebar,
        VHeader,
        VFooter
    },
    data() {
        return {
            open: true,
            items: [
                {
                    name: 'Dashboard',
                    path: '/',
                    icon: 'fa-chart-pie'
                },
                {
                    name: 'BrandInfo',
                    path: "/brand-info",
                    icon: 'fa-building',
                },
                {
                    name: "Customer",
                    icon: "fa-users",
                    path: "/customer",
                    child: [
                        {
                            name: "Customer Profile",
                            path: "/customer-profile",
                            icon: "fa-address-card",
                        },
                        {
                            name: "Customer Evaluation",
                            path: "/customer-evaluation",
                            icon: "fa-address-book",
                        },

                    ]
                },
                
                {
                    name: "Loan",
                    icon: "fa-hand-holding-dollar",
                    path: "/loan",
             
                    child: [
                        {
                            name: "Laon-App and Valuation",
                            icon: "fa-hand-holding-dollar",
                            path: "/loan/app-valuation",
             
                        },
                        {
                            name: "Laon Agreement",
                            icon: "fa-hand-holding-dollar",
                            path: "/loan/agreement",
             
                        },
                    ]
                },
                {
                    name: "Mortget Agreement",
                    path: "/mortget-agreement",
                    icon: "fa-list-alt",
                },
                {
                    name: "Collateral",
                    icon: "fa-file-contract",
                    path: "/collateral",
             
                    child: [
                        {
                            name: "Receiving Collateral",
                            icon: "fa-file-signature",
                            path: "/collateral/receiving-collateral",
             
                        },
                        {
                            name: "Block Collateral",
                            icon: "fa-lock",
                            path: "/collateral/block-collateral",
             
                        },
                    ]
                },
                {
                    name: "Disbursement",
                    icon: "fa-calculator",
                    path: "/disbursement",
             
                    child: [
                        {
                            name: "Disbursement Reguest",
                            icon: "fa-file-signature",
                            path: "/disbursement/reguest",
             
                        },
                        {
                            name: "Disbursement Voucher",
                            icon: "fa-file-contract",
                            path: "/disbursement/voucher",
             
                        },
                    ]
                },

                {
                    name: "Collection",
                    path: "/collection",
                    icon: "fa-sack-dollar",
                },
                {
                    name: "Payment",
                    icon: "fa-store",
                    path: "/payment",
             
                    child: [
                        {
                            name: "Schedule",
                            path: "/payment/schedule",
                            icon: "fa-calendar",
                        },
                        {
                            name: "Reschedule",
                            icon: "fa-circle-info",
                            path: "/payment/reschedule",
             
                        },
                        {
                            name: "Final Payment",
                            path: "/payment/final",
                            icon: "fa-Building",
                        },
                        {
                            name: "Waive Payment",
                            icon: "fa-circle-info",
                            path: "/payment/waiv",
             
                        },
                    ]
                },

                {
                    name: "Setting",
                    icon: "fa-gear",
                    path: "/setting",
             
                    child: [
                        {
                            name: "User List",
                            path: "/setting/user",
                            icon: "fa-user",
                        },
                        {
                            name: "User Role",
                            icon: "fa-user",
                            path: "/setting/user-role",
             
                        },
                        
                    ]
                },
                {
                    name: "Report",
                    icon: "fa-book",
                    path: "report",
                }
            ]
        }
    },
    computed: {
        ...mapState(['isOpen', 'isOver'])
    },
    methods: {
        toggleClick: function () {
            this.open = !this.open;
        },
    }
};
</script>
